## vlc 1.1.4.1-1jolicloud0

=== extras/contrib/Makefile ===
# ***************************************************************************
# Makefile : Build vlc-contrib files
# ***************************************************************************
# Copyright (C) 2003-2010 the VideoLAN team
# $Id$
# 
# Authors: Christophe Massiot <massiot@via.ecp.fr>
#          Derk-Jan Hartman <hartman at videolan dot org>
#          Christophe Mutricy <xtophe at videolan dot org>
#          Felix Paul Kühne <fkuehne at videolan dot org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or    
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
# ***************************************************************************

include ./config.mak

BUILDDIRS = hosts build

ifdef HAVE_DARWIN_OS
TARGETALL=using-bin
else
TARGETALL=using-src
endif

all: $(TARGETALL)

using-src:
	$(MAKE) -C src
ifdef HAVE_DARWIN_10
	(cd $(PREFIX)/lib && sed -e 's%/usr/lib/libiconv.la%$(PREFIX)/lib/libiconv.la%g' -i.orig *.la && rm -f *.la.orig)
endif

# shortcut
src: using-src

ifdef HAVE_DARWIN_OS

CONTRIBREV=34

contrib-macosx-$(ARCH)-$(CONTRIBREV).tar.bz2:
	$(WGET) http://downloads.videolan.org/pub/videolan/testing/contrib/$@

hosts/$(HOST)/.$(CONTRIBREV): contrib-macosx-$(ARCH)-$(CONTRIBREV).tar.bz2
	@if test -d tmp; then \
		echo "Move away ./tmp, it's in the way" ; \
		exit 1 ; \
	fi
	mkdir tmp
	mkdir -p $(PREFIX)
	(cd tmp && tar jxvf ../$<)
	./change_prefix.sh tmp @@CONTRIB_PREFIX@@  $(PREFIX)
	(cd tmp && find . -type d) | while read dir; do mkdir -p -- "$(PREFIX)/$$dir"; done
	(cd tmp && find . -not -type d) | while read i; do mv -f -- tmp/"$$i" "$(PREFIX)/$$i"; done
	rm -rf tmp
	# install the gecko-sdk, which isn't part of the package for size and speed reasons
	(cd src && rm -rf *gecko* && $(MAKE) .gecko)
    # libiconv.la is no longer present on Snow Leopard, so fix possible references to it, which would
    # result in linking issues
ifdef HAVE_DARWIN_10
	(cd $(PREFIX)/lib && sed -e 's%/usr/lib/libiconv.la%$(PREFIX)/lib/libiconv.la%g' -i.orig *.la && rm -f *.la.orig)
	(cd src && rm -f .iconv && $(MAKE) .iconv)
endif
	touch hosts/$(HOST)/.$(CONTRIBREV)

using-bin: hosts/$(HOST)/.$(CONTRIBREV) 

endif

clean:
	rm -rf $(BUILDDIRS)
	$(MAKE) -C src clean

clean-bin:
	rm -rf $(BUILDDIRS)
	$(MAKE) -C src clean-dots

distclean:
	$(MAKE) clean
	$(MAKE) -C src clean-src
	rm -rf config.mak distro.mak

bin: using-bin

package-macosx:
	@if test -d tmp; then \
		echo "Move away ./tmp, it's in the way" ; \
		exit 1 ; \
	fi
	mkdir tmp
	(cd $(PREFIX); tar cf - Sparkle bin sbin include lib share/aclocal* share/autoconf* \
		share/automake* share/gettext* share/libtool*) | (cd tmp; tar xf -)
	./change_prefix.sh tmp $(PREFIX) @@CONTRIB_PREFIX@@
	(cd tmp; tar cf - .) | bzip2 -c > contrib-macosx.tar.bz2
	rm -rf tmp
	rm -f contrib-macosx-$(ARCH)-$(CONTRIBREV).tar.bz2
	mv contrib-macosx.tar.bz2 contrib-macosx-$(ARCH)-$(CONTRIBREV).tar.bz2

DISTDIR = usr/win$*

package-win%:
	@if test -d tmp; then \
		echo "Move away ./tmp, it's in the way" ; \
		exit 1 ; \
	fi
	mkdir -p tmp/$(DISTDIR)
	(cd $(PREFIX); tar cf - --dereference bin sbin include lib share/aclocal*\
		share/autoconf* share/qt4* \
		share/automake* share/gettext* gecko-sdk)\
		| (cd tmp/$(DISTDIR); tar xpf -)
#kludge for live.com
	mkdir -p tmp/$(DISTDIR)/live.com
	for i in groupsock liveMedia UsageEnvironment BasicUsageEnvironment; do \
		mkdir -p  tmp/$(DISTDIR)/live.com/$$i/include; \
		cp -r src/live/$$i/include tmp/$(DISTDIR)/live.com/$$i; \
		cp src/live/$$i/lib$${i}.a  tmp/$(DISTDIR)/live.com/$$i; \
	done;
# Change Prefix.
	./change_prefix.sh tmp $(PREFIX) $(DISTDIR)
# Remove unused and potentially harmful files (but skip qt4 executables)
	(cd tmp/$(DISTDIR)/bin && rm -fv `find . -name 'uic.exe' -o -name 'rcc.exe' -o -name 'moc.exe' -o -name '*.exe' -printf '%p '` && chmod a+x * || true)
# Tar it.
	(cd tmp; tar cf - $(DISTDIR)) | bzip2 -c > contrib-`date +%Y%m%d`-win$*-bin-gcc-`$(CC) --version|head -n 1|cut -f 3 -d ' '`-runtime-`/bin/echo -e "#include <_mingw.h>\n__MINGW32_VERSION"|$(CC) -E -|grep -v ^#|grep -v ' '`-only.tar.bz2
	rm -rf tmp

.PHONY: all clean-src clean-bin clean package-macosx

=== debian/changelog ===
vlc (1.1.4.1-1jolicloud0) robby; urgency=low

  * Package for Jolicloud.

 -- Andrew Stormont <andy@jolicloud.org>  Wed, 13 Oct 2010 13:38:48 +0200

vlc (1.1.4.1-1~lffl~lucid~ppa1) lucid; urgency=medium

  * New upstream release
  * Fix crash when closing rtsp streams
  
 -- Ferramosca Roberto <ferramroberto@gmail.com>  Sun, 26 Sep 2010 13:14:29 +0200

vlc (1.1.4-1~lffl~lucid~ppa1) lucid; urgency=medium

  * New upstream release

 -- Ferramosca Roberto <ferramroberto@gmail.com>  Fri, 27 Aug 2010 14:14:22 +0200

=== debian/control ===
Source: vlc
Section: video
Priority: optional
Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
           Clément Stenac <zorglub@debian.org>,
           Loic Minier <lool@dooz.org>,
           Christophe Mutricy <xtophe@videolan.org>,
           Mohammed Adnène Trojette <adn+deb@diwi.org>,
           Benjamin Drung <bdrung@ubuntu.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper,
               dh-buildinfo,
               gettext,
               liba52-0.7.4-dev,
               libaa1-dev,
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libass-dev,
               libavahi-client-dev,
               libavc1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libavcodec-dev,
               libavformat-dev,
               libcaca-dev (>= 0.99.beta4),
               libcddb2-dev,
               libcdio-dev,
               libdc1394-22-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], 
               libdca-dev,
               libdirac-dev,
               libdvbpsi-dev | libdvbpsi5-dev,
               libdvdnav-dev,
               libdvdread-dev,
               libfaad-dev,
               libflac-dev,
               libfluidsynth-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libggi2-dev,
               libgl1-mesa-dev,
               libglib2.0-0,
               libgnutls-dev,
               libjack-dev,
               libkate-dev,
               liblircclient-dev,
               liblivemedia-dev,
               liblua5.1-0-dev,
               libmad0-dev,
               libmatroska-dev,
               libmodplug-dev,
               libmpcdec-dev,
               libmpeg2-4-dev,
               libmtp-dev,
               libncursesw5-dev,
               libnotify-dev,
               libogg-dev,
               libpng12-dev,
               libpostproc-dev,
               libproxy-dev,
               libpulse-dev,
               libqt4-dev,
               libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               librsvg2-dev,
               libschroedinger-dev (>= 1.0.7-1~),
               libsdl-image1.2-dev,
               libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.3),
               libshout3-dev,
               libsmbclient-dev,
               libspeex-dev,
               libsvga1-dev [amd64 i386],
               libswscale-dev,
               libtag1-dev,
               libtar-dev,
               libtheora-dev,
               libtwolame-dev,
               libudev-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libupnp3-dev,
               libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libvcdinfo-dev,
               libvorbis-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb1-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-xv0-dev,
               libxext-dev,
               libxml2-dev,
               libxpm-dev,
               libxt-dev,
               libzvbi-dev,
               lua5.1,
               nasm,
               pkg-config,
               xulrunner-dev,
               yasm [amd64 kfreebsd-amd64],
               zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://www.videolan.org/vlc/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/vlc.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/vlc.git;a=summary

Package: libvlc5
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: vlc (<< 0.8.6.c-6)
Description: multimedia player and streamer library
 This package contains the shared library required by applications using VLC
 features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: libvlc-dev
Section: libdevel
Architecture: any
Depends: libvlc5 (= ${binary:Version}),
         libvlccore-dev,
         pkg-config,
         ${misc:Depends}
Replaces: libvlc0-dev
Description: development files for libvlc
 This package contains headers and a static library required to build
 standalone applications that use VLC features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: libvlccore4
Section: libs
Architecture: any
Depends: vlc-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: base library for VLC and its modules
 This package contains the shared library required by VLC modules and libvlc.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: libvlccore-dev
Section: libdevel
Architecture: any
Depends: libvlccore4 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Description: development files for libvlccore
 This package contains headers and a static library required to build plugins
 for VLC.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: mozilla-plugin-vlc
Architecture: any
Depends: vlc,
         vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: multimedia plugin for web browsers based on VLC
 This plugin adds support for MPEG, MPEG2, DVD, DivX, Ogg/Vorbis and many
 more formats to your Gecko-based web browser (Firefox, Galeon, etc.). The
 decoding process is done by VLC and the output window is embedded in a
 webpage or directly in the browser window. There is also support for
 fullscreen display and javascript control.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc
Architecture: any
Depends: ttf-freefont,
         vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: vlc-plugin-notify (= ${binary:Version}),
            vlc-plugin-pulse (= ${binary:Version})
Suggests: mozilla-plugin-vlc,
          videolan-doc
Breaks: vlc-nox (<< 1.1.2)
Replaces: vlc-nox (<< 1.1.2)
Provides: mp3-decoder
Description: multimedia player and streamer
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-pulse, vlc-plugin-sdl)
 or video plugins (vlc-plugin-sdl, vlc-plugin-ggi, vlc-plugin-svgalib). There
 is also a web browser plugin in the mozilla-plugin-vlc package.

Package: vlc-data
Depends: ${misc:Depends}
Architecture: all
Replaces: mozilla-plugin-vlc (<< 0.9.2-1),
          vlc (<< 0.9.2-1),
          vlc-nox (<< 0.9.2-1)
Description: Common data for VLC
 Localisations, HTTP interface files, Lua scripts for VLC media player
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for vlc
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 This package contains the debugging symbols for vlc.

Package: vlc-nox
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: vlc (<< 1.0.4-2)
Provides: mp3-decoder
Description: multimedia player and streamer (without X support)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-pulse, vlc-plugin-sdl,
 vlc-plugin-jack) or video plugins (vlc-plugin-sdl, vlc-plugin-ggi,
 vlc-plugin-svgalib). There is also a web browser plugin in  the
 mozilla-plugin-vlc package.
 .
 This package contains a version of VLC that does not require X and that is
 thus suitable for headless servers.

Package: vlc-plugin-fluidsynth
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: FluidSynth plugin for VLC
 This plugin adds support for playing MIDI file via the FluidSynth software
 synthesizer to the VLC media player.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-ggi
Architecture: any
Depends: vlc-nox,
         ${misc:Depends},
         ${shlibs:Depends}
Description: GGI video output plugin for VLC
 This is a GGI plugin for the VLC media player.  To activate it, use
 the `--vout ggi' flag or select the `ggi' video output plugin from the
 preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-jack
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Jack audio plugins for VLC
 These plugins add support for JACK to the VLC media player. To
 activate the audio output module, use the `--aout jack' flag or
 select the `jack' audio output plugin from the preferences menu.
 For the jack input, use `vlc jack://channels=...:ports=...'
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-notify
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: vlc-nox (<< 1.1.2)
Replaces: vlc-nox (<< 1.1.2)
Description: LibNotify plugin for VLC
 This plugin adds support for libnotify track change notification to the
 VLC media player.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-pulse
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PulseAudio plugin for VLC
 This plugin adds support for PulseAudio to the VLC media player. To

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
VERSION = $(shell  dpkg-parsechangelog|sed -n 's/^Version: //p')
DEBIAN_VERSION = $(shell echo $(VERSION)|sed -nr 's/[^:]+://; s/.*-([^-]+$$)/\1/p')

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
confflags := --build=$(DEB_BUILD_GNU_TYPE)
else
confflags := --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
confflags += --disable-optimizations --disable-mmx --disable-sse --disable-altivec
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
else
# on i386 and amd64, we query the system unless overriden by DEB_BUILD_OPTIONS
ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
NUMJOBS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
MAKEFLAGS += -j$(NUMJOBS)
endif
endif

LDFLAGS = -Wl,--as-needed

# configure flags
confflags += \
	--config-cache \
	--disable-maintainer-mode \
	--disable-silent-rules \
	--disable-update-check \
	--enable-fast-install \
	--prefix=/usr \
	--sysconfdir=/etc \
	--with-binary-version=$(DEBIAN_VERSION) \
	$(NULL)
# configure features
confflags += \
	--enable-a52 \
	--enable-aa \
	--enable-bonjour \
	--enable-caca \
	--enable-dca \
	--enable-dirac \
	--enable-dvb \
	--enable-dvbpsi \
	--enable-dvdnav \
	--enable-faad \
	--enable-flac \
	--enable-fluidsynth \
	--enable-freetype \
	--enable-fribidi \
	--enable-ggi \
	--enable-gnutls \
	--enable-jack \
	--enable-kate \
	--enable-libass \
	--enable-libmpeg2 \
	--enable-libproxy \
	--enable-libxml2 \
	--enable-lirc \
	--enable-live555 \
	--enable-mad \
	--enable-mkv \
	--enable-mod \
	--enable-mozilla \
	--enable-mpc \
	--enable-mtp \
	--enable-mux_ogg \
	--enable-ncurses \
	--enable-notify \
	--enable-ogg \
	--enable-pulse \
	--enable-qt4 \
	--enable-realrtsp \
	--enable-schroedinger \
	--enable-sdl \
	--enable-shout \
	--enable-skins2 \
	--enable-smb \
	--enable-speex \
	--enable-svg \
	--enable-taglib \
	--enable-theora \
	--enable-twolame \
	--enable-upnp \
	--enable-vcd \
	--enable-vcdx \
	--enable-vorbis \
	--enable-zvbi \
	--with-kde-solid=/usr/share/kde4/apps/ \
	--with-mozilla-pkg=libxul \
	$(NULL)
# Reasons for disabling features:
# dxva2 -> Windows only
# gnomevfs -> poorly maintained
# goom -> not in Debian
# libva -> needs a vaapi enabled avcodec
# osso_screensaver -> not targetting maemo
# portaudio -> not needed
# projectm -> broken
# sqlite -> still in development
# telx -> incompatible with zvbi
# x264 -> not in Debian
confflags += \
	--disable-dxva2 \
	--disable-gnomevfs \
	--disable-goom \
	--disable-libva \
	--disable-osso_screensaver \
	--disable-portaudio \
	--disable-projectm \
	--disable-sqlite \
	--disable-telx \
	--disable-x264 \
	$(NULL)

# Linux specific flags
ifeq ($(DEB_HOST_ARCH_OS),linux)
confflags += \
	--enable-alsa \
	--enable-atmo \
	--enable-dc1394 \
	--enable-dv \
	--enable-pvr \
	--enable-udev \
	--enable-v4l \
	--enable-v4l2 \
	$(NULL)
endif

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
confflags += \
	--disable-alsa \
	$(NULL)
endif

# svgalib is only for x86 and x86-64 on Linux
ifneq ($(filter $(DEB_HOST_ARCH), amd64 i386),)
confflags += --enable-svgalib
endif

build: build-stamp
build-stamp:
	dh_testdir
	# We need to build the static library apart
	# Else it's a mess when we build the modules
	./configure --enable-static $(confflags)
	$(MAKE) -C compat
	$(MAKE) -C src libvlccore.la libvlc.la
	mkdir -p tmp
	cp src/.libs/libvlccore.a tmp/libvlccore.a
	cp src/.libs/libvlc.a tmp/libvlc.a
	./configure $(confflags)
	$(MAKE)
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	# Check which plugins were built and whether they load properly.
	@if test $$( id -u ) -eq 0 ; then \
	   echo "Not runing the test as you are compiling as root"; \
	   echo "Use 'dpkg-buildpackage -rfakeroot' rather than 'fakeroot dpkg-buildpackage'"; \
	else \
	   command="./vlc -vvv --ignore-config --no-plugins-cache --list --no-color"; \
	   echo "$${command}"; $${command} ; \
	fi
endif
endif
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f debian/vlc-nox.install.bak ] || mv -f debian/vlc-nox.install.bak \
        debian/vlc-nox.install
	rm -f debian/vlc-nox.install.kfreebsd
	rm -f debian/vlc-nox.install.hurd
	# Clean VLC
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf tmp/
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
# Add the optimization dirs only if present
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
	cp debian/vlc-nox.install debian/vlc-nox.install.bak
	for dir in sse2 3dnow altivec arm_neon mmx mmxext ; do \
	        if test -d debian/tmp/usr/lib/vlc/plugins/$${dir}; then \
	                echo usr/lib/vlc/plugins/$${dir} >> debian/vlc-nox.install ; \
	        fi ; \
	done
# Remove some modules on non-linux arch
	sed -e '/\(lib\|libaccess_\)\(alsa\|atmo\|dc1394\|dv\|dvb\|fb\|v4l\|v4l2\|pvr\|udev\)_/d' \
	 debian/vlc-nox.install > debian/vlc-nox.install.kfreebsd
	sed -e '/\(lib\|libaccess_\)\(probe_hal\)_/d' \
	 debian/vlc-nox.install.kfreebsd > debian/vlc-nox.install.hurd
	cp tmp/libvlc.a debian/tmp/usr/lib
	cp tmp/libvlccore.a debian/tmp/usr/lib
	# Clean up libtool crap
	find debian/tmp -name '*.la' -exec rm '{}' ';'
	# Remove useless stuff
	ln -sf /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf debian/tmp/usr/share/vlc/skins2/fonts/FreeSans.ttf
	ln -sf /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Bold.ttf debian/tmp/usr/share/vlc/skins2/fonts/FreeSansBold.ttf
	rm -f debian/tmp/usr/share/man/man1/vlc-config.1
	# Install stuff
	dh_install -si --fail-missing
	# move .hosts
	mkdir -p debian/vlc-data/etc/vlc/http
	mv debian/vlc-data/usr/share/vlc/http/.hosts debian/vlc-data/etc/vlc/http
	ln -s /etc/vlc/http/.hosts debian/vlc-data/usr/share/vlc/http/.hosts
	mkdir -p debian/vlc-data/etc/vlc/lua/http
	mv debian/vlc-data/usr/share/vlc/lua/http/.hosts debian/vlc-data/etc/vlc/lua/http
	ln -s /etc/vlc/http/.hosts debian/vlc-data/usr/share/vlc/lua/http/.hosts


ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	# Check that we did not install a plugin linked with libX11 or 
	# libxcb in vlc-nox
	BORKED=no; \
	for file in $$(find debian/vlc-nox/usr/lib/vlc -name '*.so'); do \
	  if objdump -x $$file | egrep -q -e '^ +NEEDED +libX11\.so' \
	                                  -e '^ +NEEDED +libxcb\.so'; then \
	    BORKED=yes; \
	    echo $$file depends on libX11 or libxcb; \
	  fi; \
	done; \
	if test "$$BORKED" = yes; then exit 1; fi
endif

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link -i
	dh_installdocs -p vlc-data
	dh_installchangelogs ChangeLog -p vlc-data
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -p vlc
	dh_installdocs -p vlc-nox
	dh_link -s
	dh_buildinfo -p vlc-nox
	dh_installmenu -s
	dh_installmime -s
	dh_installman -s
	dh_installchangelogs ChangeLog -p vlc
	dh_installchangelogs ChangeLog -p vlc-nox
	dh_lintian 
	dh_bugfiles
	dh_strip -s --dbg-package=vlc-dbg
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -plibvlc5
	dh_makeshlibs -plibvlccore4
	dh_installdeb -s
	dh_shlibdeps -s -ldebian/libvlc5/usr/lib:debian/libvlccore4/usr/lib
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary

=== debian/watch ===
version=3
http://download.videolan.org/pub/videolan/vlc/([\d][\d\.]+[a-z]?)/vlc-([\d][\d\.]+[a-z]?)\.tar\.bz2
